---
# tasks file for postgresql

- include_tasks: setup-Debian.yml
  when: ansible_os_family == 'Debian'

- name: Ensure pg_hba.conf is right.
  template:
    src: "{{ postgresql_pghba_template_path }}"
    dest: "{{ postgresql_config_path }}/pg_hba.conf"
    owner: postgres
    group: postgres
    mode: 0640
  notify: "restart postgresql"

- meta: flush_handlers

- include_tasks: create-users.yml
- include_tasks: create-databases.yml